### Method

# Fwupd Device set_problems

since: 1.8.1

#### Declaration [src]

    void
    fwupd_device_set_problems (
      FwupdDevice* self,
      guint64 problems
    )

#### Description [src]

Sets device problems.

Available since: 1.8.1

Sets property | `Fwupd.Device:problems`

#### Parameters

`problems`

  Type: `guint64`

  Device problems, e.g. `FWUPD_DEVICE_PROBLEM_SYSTEM_POWER_TOO_LOW`.